import store from './store';
Page(store.register({
  data: {
    url: ''
  },

  onLoad(options) {
    // 只需要服务首页上报，注释掉组件内部的调用
    // reportCmPV_YL({ title: '报告查询', query: options });
    this.setData({
      url: options.url
    });
  },

  onShareAppMessage() {
    const {
      url
    } = this.data;
    return {
      title: this.data.pageName || '',
      path: `${this.route}?url=${url}`
    };
  }

}));